## kde-l10n 17.08.3

=== 4/CMakeLists.txt ===
add_subdirectory(ast)

=== 4/en_GB/docs/CMakeLists.txt ===
add_subdirectory( common )
add_subdirectory( kdelibs )
add_subdirectory( kde-runtime )
add_subdirectory( kdesdk )

=== 4/hi/messages/CMakeLists.txt ===
add_subdirectory(kdeaccessibility)
add_subdirectory(kdegames)
add_subdirectory(kdelibs)
add_subdirectory(kdemultimedia)
add_subdirectory(kdenetwork)
add_subdirectory(kde-runtime)
add_subdirectory(kdeutils)
add_subdirectory(kdewebdev)
add_subdirectory(qt)
install(FILES entry.desktop DESTINATION ${LOCALE_INSTALL_DIR}/${CURRENT_LANG}/ )

=== 4/da/docs/kdewebdev/CMakeLists.txt ===
add_subdirectory( kfilereplace )
add_subdirectory( klinkstatus )

=== 4/de/docs/kdeaccessibility/CMakeLists.txt ===
add_subdirectory( jovie )
add_subdirectory( kmouth )

=== 4/nl/docs/kdegames/CMakeLists.txt ===
add_subdirectory( kolf )
add_subdirectory( ksirk )
add_subdirectory( palapeli )

=== 4/pt/docs/kde-runtime/kioslave/CMakeLists.txt ===
add_subdirectory( bookmarks )
add_subdirectory( bzip2 )
add_subdirectory( cgi )
add_subdirectory( finger )
add_subdirectory( fish )
add_subdirectory( floppy )
add_subdirectory( gzip )
add_subdirectory( info )
add_subdirectory( man )
add_subdirectory( nepomuksearch )
add_subdirectory( network )
add_subdirectory( nfs )
add_subdirectory( sftp )
add_subdirectory( smb )
add_subdirectory( tar )
add_subdirectory( thumbnail )
add_subdirectory( xz )

=== 4/sv/docs/kdesdk/umbrello/CMakeLists.txt ===
add_subdirectory( apphelp )

=== 4/de/docs/kde-runtime/kcontrol/phonon/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${CURRENT_LANG}/ SUBDIR kcontrol/phonon )

=== 4/pt/docs/kde-runtime/kcontrol/filetypes/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${CURRENT_LANG}/ SUBDIR kcontrol/filetypes )

=== 4/sr/docs/kde-runtime/kcontrol/kcmcss/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${CURRENT_LANG}/ SUBDIR kcontrol/kcmcss )

=== 4/sv/docs/kde-runtime/kcontrol/khtml-behavior/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${CURRENT_LANG}/ SUBDIR kcontrol/khtml-behavior )

=== debian/changelog ===
kde-l10n (4:17.08.3-5) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Exclude translations now shipped as part of Applications tarballs:
    - kmouth.mo
    - kmouth.1
  * Exclude documentations shipped as part of Applications tarballs:
    - kmouth
  * Drop obsolete documentations, no more useful:
    - kioslave/nepomuksearch

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 11:05:42 +0200

kde-l10n (4:17.08.3-4) unstable; urgency=medium

  * Team upload.
  * Remove the unneeded extragear-accessibility documentations (mostly shipped
    in kde-l10n-ca):
    - afaras, ksimond, sam, simon, simond, ssc, and sscd
  * Drop obsolete translations, no more useful:
    - kfilereplace.mo, and klinkstatus.mo
  * Drop obsolete documentations, no more useful:
    - kfilereplace, and klinkstatus
  * Exclude translations now shipped as part of Applications tarballs:
    - juk.mo, kget.mo, kgetplugin.mo, kio_zeroconf.mo, kmix.mo, kolf.mo,
      ksirk.mo, ksirkskineditor.mo, palapeli.mo, plasma_applet_kget.mo,
      plasma_runner_kget.mo, and sweeper.mo
    - adddebug.1, cheatmake.1, create_cvsignore.1, create_makefile.1,
      create_makefiles.1, cvscheck.1, cvslastchange.1, cvslastlog.1,
      cvsrevertlast.1, cxxmetric.1, extend_dmalloc.1, extractrc.1,
      fixincludes.1, pruneemptydirs.1, qtdoc.1, reportview.1, transxx.1, and
      zonetab2pot.py.1
  * Exclude documentations shipped as part of Applications tarballs:
    - juk, kget, kmix, kolf, ksirk, ksirkskineditor, palapeli, and sweeper

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:32:32 +0100

kde-l10n (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #852293, #882269)
  * Merge changes in 4:16.04.3-9, 4:16.04.3-10, and 4:16.04.3-11.
    (Closes: #886857)
  * Remove the okular-l10n, konq-plugins-l10n, and all the PIM-related
    breaks/replaces, since their translations are no more shipped here.
  * Remove from excluded_docs.list, and excluded_files.list all the bits not
    shipped in this version
    - turn the removal of kfontinst.js as LC_SCRIPTS directory removal in rules
  * Stop removing *_mimetypes.mo, *.appdata.mo, and json_*.mo files, as they
    are not shipped in this version.
  * Stop removing application data & scripts not shipped in this version.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 11:14:35 +0100

kde-l10n (4:17.08.3-2) experimental; urgency=medium

  * Team upload.
  * Merge changes in 4:16.04.3-3, 4:16.04.3-4, 4:16.04.3-5, 4:16.04.3-6,
    4:16.04.3-7, and 4:16.04.3-8.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 19:50:35 +0100

kde-l10n (4:17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - provides only translations of component based on kdelibs 4.x
      (Closes: #882100)
  * Merge changes in 4:16.04.3-2
  * Drop Frameworks-related build dependencies: extra-cmake-modules,
    libkf5doctools-dev, libkf5i18n-dev, qttools5-dev, and qttools5-dev-tools.
  * Drop libkf5i18n5 alternative dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 08:45:57 +0100

kde-l10n (4:17.04.3-1) experimental; urgency=medium

  * Exclude kfontinst.js file currently being shipped by plasma-desktop-data.
    Thanks to Ralf Treinen for the report (Closes: 864927)
  * Add a listlangs script
  * New upstream release (17.04.3).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Jul 2017 19:21:42 +0200

kde-l10n (4:16.04.3-11) unstable; urgency=medium

  * Team upload.
  * Exclude translations now shipped as part of Applications tarballs:
    - kfind.mo, keditbookmarks.mo, okular.mo, okular_chm.mo,
      okular_comicbook.mo, okular_djvu.mo, okular_dvi.mo, okular_epub.mo,
      okular_fax.mo, okular_fictionbook.mo, okular_ghostview.mo,
      okular_kimgio.mo, okular_mobi.mo, okular_ooo.mo, okular_plucker.mo,
      okular_poppler.mo, okular_tiff.mo, okular_txt.mo, okular_xps.mo, and
      org.kde.active.documentviewer.mo
    - kfind.1, kbookmarkmerger.1, and okular.1
  * Exclude documentations shipped as part of Applications tarballs:
    - kfind, and okular

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 13:13:02 +0100

kde-l10n (4:16.04.3-10) unstable; urgency=medium

  * Team upload.
  * Remove the gwenview-i18n, and filelight-l10n breaks/replaces, since their
    translations are no more shipped here.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Exclude translations now shipped as part of Applications tarballs:
    - kcachegrind.mo, adblock.mo, akregator_konqplugin.mo, autorefresh.mo,
      babelfish.mo, dirfilterplugin.mo, domtreeviewer.mo, fsview.mo,
      imgalleryplugin.mo, khtmlsettingsplugin.mo, khtmltts.mo,
      kshellcmdplugin.mo, mf_konqplugin.mo, minitoolsplugin.mo, rellinks.mo,
      searchbarplugin.mo, uachangerplugin.mo, validatorsplugin.mo,
      webarchiver.mo, kcmbookmarks.mo, kcmkonq.mo, kcmkonqhtml.mo,
      kcmperformance.mo, kfmclient.mo, konqueror.mo, webenginepart.mo,
      libkonq.mo, kio_perldoc.mo, svgpart.mo, kdialog.mo, kgpg.mo,
      kimagemapeditor.mo, libkcompactdisc.mo, kcmcddb.mo, libkcddb.mo,
      audiocd_encoder_flac.mo, audiocd_encoder_lame.mo,
      audiocd_encoder_vorbis.mo, kcmaudiocd.mo, and kio_audiocd.mo
    - kcachegrind_qt.qm
  * Exclude documentations shipped as part of Applications tarballs:
    - kcachegrind, kcontrol/bookmarks, kcontrol/filemanager, kcontrol/kcmcss,
      kcontrol/khtml-adblock, kcontrol/khtml-behavior, kcontrol/khtml-general,
      kcontrol/khtml-java-js, kcontrol/performance, konqueror, kgpg,
      kimagemapeditor, kcontrol/cddbretrieval, and kioslave/audiocd

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:32:36 +0100

kde-l10n (4:16.04.3-9) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.2, no changes required.


=== debian/control ===
Source: kde-l10n
Section: localization
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: bzip2,
               cmake,
               debhelper (>= 9),
               gettext,
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
Standards-Version: 4.1.4
Homepage: http://i18n.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-l10n
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-l10n.git

Package: kde-l10n-ar
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Arabic (ar) localization files for KDE
 This package contains the Arabic translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ast
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Asturian (ast) localization files for KDE
 This package contains the Asturian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-bg
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Bulgarian (bg) localization files for KDE
 This package contains the Bulgarian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-bs
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Bosnian (bs) localization files for KDE
 This package contains the Bosnian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ca
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Catalan (ca) localization files for KDE
 This package contains the Catalan translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-cavalencia
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Southern Catalan (Valencian) (ca@valencia) files for KDE
 This package contains the Southern Catalan (Valencian) translations for
 applications from the official KDE Software Compilation release.

Package: kde-l10n-cs
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Czech (cs) localization files for KDE
 This package contains the Czech translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-da
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Danish (da) localization files for KDE
 This package contains the Danish translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-de
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: German (de) localization files for KDE
 This package contains the German translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-el
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Greek (el) localization files for KDE
 This package contains the Greek translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-engb
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: British English (en_GB) localization files for KDE
 This package contains the British English translations for applications
 from the official KDE Software Compilation release.

Package: kde-l10n-eo
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Esperanto (eo) localization files for KDE
 This package contains the Esperanto translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-es
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Spanish (es) localization files for KDE
 This package contains the Spanish translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-et
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Estonian (et) localization files for KDE
 This package contains the Estonian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-eu
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Basque (eu) localization files for KDE
 This package contains the Basque translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-fa
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Farsi (fa) localization files for KDE
 This package contains the Farsi translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-fi
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Finnish (fi) localization files for KDE
 This package contains the Finnish translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-fr
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: French (fr) localization files for KDE
 This package contains the French translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ga
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Irish Gaelic (ga) localization files for KDE
 This package contains the Irish Gaelic translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-gl
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Galician (gl) localization files for KDE
 This package contains the Galician translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-he
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Hebrew (he) localization files for KDE
 This package contains the Hebrew translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-hi
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Hindi (hi) localization files for KDE
 This package contains the Hindi translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-hr
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Croatian (hr) localization files for KDE
 This package contains the Croatian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-hu
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Hungarian (hu) localization files for KDE
 This package contains the Hungarian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-ia
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Interlingua (ia) localization files for KDE
 This package contains the Interlingua translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-id
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Indonesian (id) localization files for KDE
 This package contains the Indonesian translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-is
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}
Replaces: ${kde-l10n:Replaces}
Breaks: ${kde-l10n:Breaks}
Provides: ${kde-l10n:Provides}
Description: Icelandic (is) localization files for KDE
 This package contains the Icelandic translations for applications from the
 official KDE Software Compilation release.

Package: kde-l10n-it
Architecture: all
Depends: ${kde-l10n:Depends}, ${misc:Depends}
Recommends: ${kde-l10n:Recommends}
Suggests: ${kde-l10n:Suggests}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

# Value of the kde-l10n:{Depends,Recommends,Suggests,Replaces,Breaks,Provides}
# substvars. Common relationships for each l10n package.
L10N_Depends := libkdecore5 (>= 4:4.10)
L10N_Recommends :=
L10N_Suggests := kde-standard
L10N_Replaces := ktouchpadenabler (<< 4:4.10.4), kio-mtp (<< 0.75+git20140304-2), digikam-data (<< 4:4.14.0-1)
L10N_Breaks := ktouchpadenabler (<< 4:4.10.4), kio-mtp (<< 0.75+git20140304-2), digikam-data (<< 4:4.14.0-1)
L10N_Provides := kde-l10n

L10N_PREFIX := kde-l10n
#L10N_VERSION := $(shell cat debian/changelog | head -n1 | sed 's/.*(\([[:digit:]]\+:\)\?\(.\+\)-.\+).*/\2/')
L10N_LANGS := $(filter-out debian,$(subst ./,,$(shell find . -mindepth 1 -maxdepth 1 -type d ! -name .pc ! -name .git)))
L10N_DIRS = $(L10N_LANGS)
L10N_PACKAGES := $(patsubst %,$(L10N_PREFIX)-%,$(L10N_LANGS))

# Support variables to be used in targets
cur_lang = $(word 2,$(subst __, ,$@))
cur_lang_dir = $(cur_lang)
cur_lang_builddir = $(cur_lang_dir)/build
cur_pkg = $(L10N_PREFIX)-$(cur_lang)

# Stamps
STAMP_BUILD := $(patsubst %,debian/stamp__%__build,$(L10N_LANGS))
L10N_INSTALL := $(patsubst %,install__%,$(L10N_LANGS))
L10N_CLEAN := $(patsubst %,clean__%,$(L10N_LANGS))

# debian/control checks
L10N_PACKAGES_IN_CONTROL := $(shell dh_listpackages | grep '$(L10N_PREFIX)')
L10N_NOTEXIST_IN_CONTROL := $(filter-out $(L10N_PACKAGES_IN_CONTROL),$(L10N_PACKAGES))
L10N_EXCESS_IN_CONTROL := $(filter-out $(L10N_PACKAGES),$(L10N_PACKAGES_IN_CONTROL))

check_control:
	@test -z "$(L10N_NOTEXIST_IN_CONTROL)" || \
		(echo "-- ERROR: debian/control is missing language packages: $(L10N_NOTEXIST_IN_CONTROL)" && false)
	@test -z "$(L10N_EXCESS_IN_CONTROL)" || \
		(echo "-- ERROR: debian/control has excess language packages: $(L10N_EXCESS_IN_CONTROL)" && false)

prepare_build: check_control
	dh_testdir

build: build-arch build-indep

build-arch:
	# No architecture dependent build

build-indep: $(STAMP_BUILD)

build_progress = [$(shell ls -1 -d debian/stamp__*__build debian | wc -l)/$(words $(STAMP_BUILD))]
$(STAMP_BUILD): | prepare_build
	# $(build_progress) Building '$(cur_lang)' language ...
	dh_auto_configure -Scmake -D$(cur_lang) -B$(cur_lang_builddir) -- -DCMAKE_BUILD_TYPE=Debian
	$(MAKE) -C $(cur_lang_builddir)
	# $(build_progress) Built '$(cur_lang)' language.
	touch $@

prepare_install:
	dh_testdir
	dh_testroot
	dh_prep

install: $(L10N_INSTALL)
	# Installed successfully

$(L10N_INSTALL): | prepare_install
	# Installing '$(cur_lang)' to the '$(cur_pkg)' package
	dh_auto_install -Scmake -D$(cur_lang) -B$(cur_lang_builddir) --destdir=$(CURDIR)/debian/$(cur_pkg)
	# The new KF5 package have their own translations now, remove files listed in excluded_files.list
	# and documentations listed in excluded_docs.list (in both kde4 and kf5 locations)
	sed -e '/^$$/d;/^#/d' $(CURDIR)/debian/excluded_files.list | while read excluded_file; do \
	    find $(CURDIR)/debian/$(cur_pkg) -name $${excluded_file} -delete ; \
	done
	sed -e '/^$$/d;/^#/d' $(CURDIR)/debian/excluded_docs.list | while read excluded_doc; do \
	    rm -rf $(CURDIR)/debian/$(cur_pkg)/usr/share/doc/HTML/*/$${excluded_doc} ; \
	    rm -rf $(CURDIR)/debian/$(cur_pkg)/usr/share/doc/kde/HTML/*/$${excluded_doc} ; \
	done
	# Drop man-*.docbook translations, since they only helper for
	# translating man pages
	find $(CURDIR)/debian/$(cur_pkg) -name 'man-*.docbook' -delete
	# Drop translated data, shipped with the applications themselves
	rm -rf $(CURDIR)/debian/$(cur_pkg)/usr/share/kde4/apps/step
	# Drop scripts for applications
	rm -rf $(CURDIR)/debian/$(cur_pkg)/usr/share/locale/*/LC_SCRIPTS/step_qt
	rm -rf $(CURDIR)/debian/$(cur_pkg)/usr/share/locale/*/LC_SCRIPTS/plasma_applet_fuzzy_clock
	rm -rf $(CURDIR)/debian/$(cur_pkg)/usr/share/locale/*/LC_SCRIPTS/kfontinst
	# At the end, remove empty directories
	find $(CURDIR)/debian/$(cur_pkg) -type d -empty -delete

prepare_clean:
	dh_testdir

clean: $(L10N_CLEAN)
	dh_clean

# Delete build directories
$(L10N_CLEAN): prepare_clean
	rm -rf $(cur_lang_builddir) debian/stamp__$(cur_lang)__*

binary-arch:
	# No architecture dependent files available

binary-indep: build install
	dh_testroot
	dh_testdir
	dh_installdocs
	dh_installchangelogs
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- $(foreach rel,Depends Recommends Suggests Replaces Breaks Provides,-V'kde-l10n:$(rel)=$(L10N_$(rel))')
	dh_md5sums
	dh_builddeb -- -Zxz

# Below here is fairly generic really
binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep build build-arch build-indep
.PHONY: clean install patch
.PHONY: check_control prepare_build prepare_install $(L10N_INSTALL) $(L10N_CLEAN)

=== debian/watch ===
version=4

# !!! WARNING !!!
# !!! Autogenerated using debian/createwatch.
# !!! Please see debian/README.source for more details.

opts="component=ar" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ar-([\d.]+).tar.xz

opts="component=ast" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ast-([\d.]+).tar.xz

opts="component=bg" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-bg-([\d.]+).tar.xz

opts="component=bs" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-bs-([\d.]+).tar.xz

opts="component=ca" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ca-([\d.]+).tar.xz

opts="component=cavalencia" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ca@valencia-([\d.]+).tar.xz

opts="component=cs" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-cs-([\d.]+).tar.xz

opts="component=da" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-da-([\d.]+).tar.xz

opts="component=de" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-de-([\d.]+).tar.xz

opts="component=el" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-el-([\d.]+).tar.xz

opts="component=engb" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-en_GB-([\d.]+).tar.xz

opts="component=eo" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-eo-([\d.]+).tar.xz

opts="component=es" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-es-([\d.]+).tar.xz

opts="component=et" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-et-([\d.]+).tar.xz

opts="component=eu" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-eu-([\d.]+).tar.xz

opts="component=fa" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fa-([\d.]+).tar.xz

opts="component=fi" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fi-([\d.]+).tar.xz

opts="component=fr" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fr-([\d.]+).tar.xz

opts="component=ga" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ga-([\d.]+).tar.xz

opts="component=gl" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-gl-([\d.]+).tar.xz

opts="component=he" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-he-([\d.]+).tar.xz

opts="component=hi" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-hi-([\d.]+).tar.xz

opts="component=hr" \
  https://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-hr-([\d.]+).tar.xz

opts="component=hu" \
